Name:           python-kayobe
Version:        18.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Deployment of OpenStack to bare metal using OpenStack kolla and bifrost

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://docs.openstack.org/kayobe/latest/
Source:         %{pypi_source kayobe}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kayobe' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kayobe
Summary:        %{summary}

%description -n python3-kayobe %_description


%prep
%autosetup -p1 -n kayobe-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kayobe -f %{pyproject_files}


%changelog
%autochangelog